org.apache.xmlbeans.impl.schema

## Class DocumentFactory<T>

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.ElementFactory<T>
  - - org.apache.xmlbeans.impl.schema.AbstractDocumentFactory<T>
    - - org.apache.xmlbeans.impl.schema.DocumentFactory<T>

Direct Known Subclasses:
  XmlObjectFactory

    public class DocumentFactory<T>
    extends AbstractDocumentFactory<T>

### Constructor Summary

Constructors
Constructor and Description
`DocumentFactory(SchemaTypeSystem typeSystem, String typeHandle)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `newInstance()`
`T` `newInstance(XmlOptions options)`

### Methods inherited from class org.apache.xmlbeans.impl.schema.AbstractDocumentFactory

`parse, parse, parse, parse, parse, parse, parse, parse, parse, parse, parse, parse, parse, parse`

### Methods inherited from class org.apache.xmlbeans.impl.schema.ElementFactory

`getType, getTypeLoader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DocumentFactory

    public DocumentFactory(SchemaTypeSystem typeSystem,
                           String typeHandle)

### Method Detail

#### newInstance

    public T newInstance()

Overrides:
  `newInstance` in class `ElementFactory<T>`

#### newInstance

    public T newInstance(XmlOptions options)

Overrides:
  `newInstance` in class `ElementFactory<T>`